> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Coin Data by Token Address

> This endpoint allows you to **query all the metadata (image, websites, socials, description, contract address, etc.) and market data (price, ATH, exchange tickers, etc.) of a coin from the CoinGecko coin page based on an asset platform and a particular token contract address**

<Warning>
  ### Notice

  * Please note that the `twitter_followers` data field will no longer be supported by our API starting on May 15, 2025. Please refer to [changelog](/changelog#upcoming-change-notice%3A-removal-of-twitter-followers-data) for more details.
</Warning>

<Tip>
  ### Tips

  * You may obtain the asset platform and contract address via several ways:
    * Refer to respective coin page and find 'contract address'.
    * Refer to [`/coins/list`](/v3.0.1/reference/coins-list) endpoint (`include_platform=true`).
</Tip>

<Note>
  ### Note

  * Coin descriptions may include newline characters represented as `\r\n` (escape sequences), which may require processing for proper formatting.
  * Cache / Update Frequency: every 60 seconds for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-demo.json get /coins/{id}/contract/{contract_address}
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /coins/{id}/contract/{contract_address}:
    get:
      tags:
        - Contract
      summary: Coin Data by Token Address
      description: >-
        This endpoint allows you to **query all the metadata (image, websites,
        socials, description, contract address, etc.) and market data (price,
        ATH, exchange tickers, etc.) of a coin from the CoinGecko coin page
        based on an asset platform and a particular token contract address**
      operationId: coins-contract-address
      parameters:
        - name: id
          in: path
          description: |-
            asset platform ID 
             *refers to [`/asset_platforms`](/v3.0.1/reference/asset-platforms-list).
          required: true
          schema:
            type: string
            example: ethereum
            default: ethereum
        - name: contract_address
          in: path
          description: the contract address of token
          required: true
          schema:
            type: string
            example: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
            default: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
      responses:
        '200':
          description: Get current data for a coin
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoinsContractAddress'
components:
  schemas:
    CoinsContractAddress:
      allOf:
        - $ref: '#/components/schemas/CoinsContractAddressDataBase'
      example:
        id: usd-coin
        symbol: usdc
        name: USDC
        web_slug: usdc
        asset_platform_id: ethereum
        platforms:
          ethereum: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
          polkadot: '1337'
          flow: A.b19436aae4d94622.FiatToken
          avalanche: '0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e'
          optimistic-ethereum: '0x0b2c639c533813f4aa9d7837caf62653d097ff85'
          stellar: USDC-GA5ZSEJYB37JRC5AVCIA5MOP4RHTM335X2KGX3IHOJAPP5RE34K4KZVN
          near-protocol: 17208628f84f5d6ad33f0da3bbbeb27ffcb398eac501a31bd6ad2011e36133a1
          hedera-hashgraph: 0.0.456858
          zksync: '0x1d17cbcf0d6d143135ae902365d2e5e2a16538d4'
          tron: TEkxiTehnzSmSe2XqrBj4w32RUN966rdz8
          celo: '0xceba9300f2b948710d2653dd7b07f33a8b32118c'
          arbitrum-one: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
          base: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
          polygon-pos: '0x3c499c542cef5e3811e1192ce70d8cc03d5c3359'
          solana: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        detail_platforms:
          ethereum:
            decimal_place: 6
            contract_address: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
          polkadot:
            decimal_place: 6
            contract_address: '1337'
          flow:
            decimal_place: 8
            contract_address: A.b19436aae4d94622.FiatToken
          avalanche:
            decimal_place: 6
            contract_address: '0xb97ef9ef8734c71904d8002f8b6bc66dd9c48a6e'
          optimistic-ethereum:
            decimal_place: 6
            contract_address: '0x0b2c639c533813f4aa9d7837caf62653d097ff85'
          stellar:
            decimal_place: null
            contract_address: USDC-GA5ZSEJYB37JRC5AVCIA5MOP4RHTM335X2KGX3IHOJAPP5RE34K4KZVN
          near-protocol:
            decimal_place: 6
            contract_address: 17208628f84f5d6ad33f0da3bbbeb27ffcb398eac501a31bd6ad2011e36133a1
          hedera-hashgraph:
            decimal_place: 6
            contract_address: 0.0.456858
          zksync:
            decimal_place: 6
            contract_address: '0x1d17cbcf0d6d143135ae902365d2e5e2a16538d4'
          tron:
            decimal_place: 6
            contract_address: TEkxiTehnzSmSe2XqrBj4w32RUN966rdz8
          celo:
            decimal_place: 6
            contract_address: '0xceba9300f2b948710d2653dd7b07f33a8b32118c'
          arbitrum-one:
            decimal_place: 6
            contract_address: '0xaf88d065e77c8cc2239327c5edb3a432268e5831'
          base:
            decimal_place: 6
            contract_address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
          polygon-pos:
            decimal_place: 6
            contract_address: '0x3c499c542cef5e3811e1192ce70d8cc03d5c3359'
          solana:
            decimal_place: 6
            contract_address: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        block_time_in_minutes: 0
        hashing_algorithm: null
        categories:
          - Ronin Ecosystem
          - Osmosis Ecosystem
          - Mantle Ecosystem
          - Kava Ecosystem
          - Tron Ecosystem
          - Base Ecosystem
          - Neon Ecosystem
          - Hedera Ecosystem
          - Stellar Ecosystem
          - Rollux Ecosystem
          - Stablecoins
          - USD Stablecoin
          - BNB Chain Ecosystem
          - Cosmos Ecosystem
          - Polkadot Ecosystem
          - Avalanche Ecosystem
          - Solana Ecosystem
          - Gnosis Chain Ecosystem
          - Near Protocol Ecosystem
          - Fantom Ecosystem
          - Moonriver Ecosystem
          - Polygon Ecosystem
          - Arbitrum Ecosystem
          - Harmony Ecosystem
          - Ethereum Ecosystem
          - Velas Ecosystem
          - Arbitrum Nova Ecosystem
          - Moonbeam Ecosystem
          - Optimism Ecosystem
          - Metis Ecosystem
          - Cronos Ecosystem
          - Canto Ecosystem
          - ZkSync Ecosystem
        preview_listing: false
        public_notice: >-
          USD Coin (USDC) has rebranded to USDC (USDC). For more information,
          please refer to this <a
          href="https://www.circle.com/blog/usd-coin-and-euro-coin-are-now-exclusively-usdc-and-eurc">announcement</a>
          from the Circle Blog.
        additional_notices: []
        localization:
          en: USDC
          de: USDC
          es: USDC
          fr: USDC
          it: USDC
          pl: USDC
          ro: USDC
          hu: USDC
          nl: USDC
          pt: USDC
          sv: USDC
          vi: USDC
          tr: USDC
          ru: USDC
          ja: USDコイン
          zh: USDC
          zh-tw: USDC
          ko: USDC
          ar: USDC
          th: USDC
          id: USDC
          cs: USDC
          da: USDC
          el: USDC
          hi: USDC
          'no': USDC
          sk: USDC
          uk: USDC
          he: USDC
          fi: USDC
          bg: USDC
          hr: USDC
          lt: USDC
          sl: USDC
        description:
          en: USDC is a fully collateralized US dollar stablecoin ...
          de: USDC is a fully collateralized US dollar stablecoin...
        links:
          homepage:
            - https://www.circle.com/en/usdc
            - ''
            - ''
          whitepaper: ''
          blockchain_site:
            - >-
              https://etherscan.io/token/0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
            - >-
              https://bscscan.com/token/0x8ac76a51cc950d9822d68b83fe1ad97b32cd580d
            - >-
              https://nearblocks.io/token/17208628f84f5d6ad33f0da3bbbeb27ffcb398eac501a31bd6ad2011e36133a1
            - >-
              https://ethplorer.io/address/0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
            - >-
              https://basescan.org/token/0x833589fcd6edb6e08f4c7c32d4f71b54bda02913
            - >-
              https://arbiscan.io/token/0xaf88d065e77c8cc2239327c5edb3a432268e5831
            - >-
              https://binplorer.com/address/0x8ac76a51cc950d9822d68b83fe1ad97b32cd580d
            - >-
              https://explorer.kava.io/token/0xfa9343c3897324496a05fc75abed6bac29f8a40f
            - >-
              https://ftmscan.com/token/0x04068da6c83afcfa0e13ba15a6696662335d5b75
            - >-
              https://explorer.energi.network/token/0xffd7510ca0a3279c7a5f50018a26c21d5bc1dbcf
          official_forum_url:
            - ''
            - ''
            - ''
          chat_url:
            - https://discord.com/invite/buildoncircle
            - ''
            - ''
          announcement_url:
            - https://medium.com/centre-blog
            - https://blog.circle.com/2018/09/26/introducing-usd-coin/
          snapshot_url: null
          twitter_screen_name: circle
          facebook_username: ''
          bitcointalk_thread_identifier: null
          telegram_channel_identifier: ''
          subreddit_url: https://www.reddit.com
          repos_url:
            github:
              - https://github.com/centrehq/centre-tokens
            bitbucket: []
        image:
          thumb: >-
            https://assets.coingecko.com/coins/images/6319/thumb/usdc.png?1696506694
          small: >-
            https://assets.coingecko.com/coins/images/6319/small/usdc.png?1696506694
          large: >-
            https://assets.coingecko.com/coins/images/6319/large/usdc.png?1696506694
        country_origin: US
        genesis_date: null
        contract_address: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
        sentiment_votes_up_percentage: 33.33
        sentiment_votes_down_percentage: 66.67
        watchlist_portfolio_users: 126374
        market_cap_rank: 7
        market_cap_rank_with_rehypothecated: 7
        market_data:
          current_price:
            aed: 3.68
            ars: 863.06
            aud: 1.52
            bch: 0.00145232
            bdt: 109.92
            bhd: 0.377611
            bmd: 1.003
            bnb: 0.00170967
            brl: 5.08
            btc: 0.00001429
            cad: 1.36
            chf: 0.904508
            clp: 942.53
            cny: 7.25
            czk: 23.43
            dkk: 6.9
            dot: 0.11492405
            eos: 0.96236821
            eth: 0.00029377
            eur: 0.924434
            gbp: 0.793567
            gel: 2.69
            hkd: 7.85
            huf: 361.11
            idr: 15933.99
            ils: 3.76
            inr: 83.54
            jpy: 152.05
            krw: 1355.2
            kwd: 0.308189
            lkr: 299.48
            ltc: 0.00973467
            mmk: 2103.16
            mxn: 16.5
            myr: 4.76
            ngn: 1298.4
            nok: 10.76
            nzd: 1.67
            php: 56.75
            pkr: 278.35
            pln: 3.96
            rub: 92.78
            sar: 3.76
            sek: 10.71
            sgd: 1.35
            sol: 23.88
            thb: 36.73
            try: 32.16
            twd: 32.22
            uah: 38.89
            usd: 1.003
            vef: 0.100421
            vnd: 25038
            xag: 0.0364874
            xau: 0.00043045
            xdr: 0.756423
            xlm: 7.701256
            xrp: 1.669349
            yfi: 0.0001188
            zar: 18.75
            bits: 14.29
            link: 0.05630197
            sats: 1428.76
          total_value_locked: null
          mcap_to_tvl_ratio: null
          fdv_to_tvl_ratio: null
          roi: null
          ath:
            aed: 4.31
            ars: 868.65
            aud: 1.83
            bch: 0.01345435
            bdt: 113.46
            bhd: 0.442094
            bmd: 1.17
            bnb: 0.25455702
            brl: 5.97
            btc: 0.00033582
            cad: 1.61
            chf: 1.2
            clp: 1057.99
            cny: 8.09
            czk: 27.1
            dkk: 7.88
            dot: 0.34808619
            eos: 1.89444
            eth: 0.01282697
            eur: 1.059
            gbp: 0.96424
            gel: 2.74
            hkd: 9.2
            huf: 455.32
            idr: 17341.09
            ils: 4.26
            inr: 87.19
            jpy: 154.07
            krw: 1466.8
            kwd: 0.356866
            lkr: 380.81
            ltc: 0.04751509
            mmk: 2166.16
            mxn: 25.72
            myr: 4.95
            ngn: 1641.1
            nok: 12.06
            nzd: 1.88
            php: 61.66
            pkr: 309.03
            pln: 5.09
            rub: 155.25
            sar: 4.4
            sek: 11.61
            sgd: 1.47
            sol: 26.45
            thb: 38.98
            try: 32.76
            twd: 36.3
            uah: 39.61
            usd: 1.17
            vef: 291403
            vnd: 27332
            xag: 0.086151
            xau: 0.00093093
            xdr: 0.842866
            xlm: 37.482414
            xrp: 9.1105
            yfi: 0.00126639
            zar: 19.92
            bits: 313.39
            link: 4.9423
            sats: 31339
          ath_change_percentage:
            aed: -14.38389
            ars: -0.51451
            aud: -16.54715
            bch: -89.16472
            bdt: -2.99363
            bhd: -14.475
            bmd: -14.36801
            bnb: -99.3281
            brl: -14.79026
            btc: -95.73352
            cad: -15.1066
            chf: -24.25592
            clp: -10.79724
            cny: -10.23969
            czk: -13.42505
            dkk: -12.26647
            dot: -66.90313
            eos: -49.11664
            eth: -97.70715
            eur: -12.61023
            gbp: -17.59352
            gel: -1.74226
            hkd: -14.57313
            huf: -20.58833
            idr: -7.99505
            ils: -11.60085
            inr: -4.06203
            jpy: -1.18617
            krw: -7.48817
            kwd: -13.52804
            lkr: -21.25532
            ltc: -79.49459
            mmk: -2.78254
            mxn: -35.75175
            myr: -3.75781
            ngn: -20.77937
            nok: -10.67094
            nzd: -11.13856
            php: -7.84159
            pkr: -9.81151
            pln: -22.06943
            rub: -40.1645
            sar: -14.34456
            sek: -7.62797
            sgd: -7.93611
            sol: -9.70201
            thb: -5.64291
            try: -1.67562
            twd: -11.13084
            uah: -1.68827
            usd: -14.36801
            vef: -99.99997
            vnd: -8.27313
            xag: -57.59221
            xau: -53.7014
            xdr: -10.13941
            xlm: -79.45084
            xrp: -81.6335
            yfi: -90.62471
            zar: -5.73322
            bits: -95.42817
            link: -98.85859
            sats: -95.42817
          ath_date:
            aed: '2019-05-08T00:40:28.300Z'
            ars: '2024-04-04T18:05:51.232Z'
            aud: '2020-03-13T02:35:16.858Z'
            bch: '2018-12-15T16:04:56.312Z'
            bdt: '2023-10-23T22:45:06.087Z'
            bhd: '2019-05-08T00:40:28.300Z'
            bmd: '2019-05-08T00:40:28.300Z'
            bnb: '2018-12-08T12:49:29.078Z'
            brl: '2020-05-14T14:07:45.849Z'
            btc: '2018-12-08T12:54:40.339Z'
            cad: '2020-03-13T02:35:16.858Z'
            chf: '2019-05-08T00:40:28.300Z'
            clp: '2022-07-19T00:53:26.862Z'
            cny: '2020-03-13T02:35:16.858Z'
            czk: '2020-03-13T02:35:16.858Z'
            dkk: '2022-09-27T16:25:08.674Z'
            dot: '2020-08-22T00:00:00.000Z'
            eos: '2023-10-19T07:35:20.838Z'
            eth: '2018-12-08T12:49:29.078Z'
            eur: '2022-09-27T16:25:08.674Z'
            gbp: '2022-09-26T01:00:46.182Z'
            gel: '2024-03-20T20:40:24.283Z'
            hkd: '2019-05-08T00:40:28.300Z'
            huf: '2022-10-13T12:54:39.018Z'
            idr: '2018-10-15T13:29:31.772Z'
            ils: '2020-03-13T02:35:16.858Z'
            inr: '2020-03-13T02:35:16.858Z'
            jpy: '2023-10-23T22:45:06.087Z'
            krw: '2022-09-30T02:11:16.560Z'
            kwd: '2019-05-08T00:40:28.300Z'
            lkr: '2022-05-12T07:24:27.813Z'
            ltc: '2018-12-08T12:49:29.078Z'
            mmk: '2022-09-13T12:36:28.482Z'
            mxn: '2020-04-06T05:20:12.159Z'
            myr: '2020-03-13T02:35:16.858Z'
            ngn: '2024-02-28T17:01:26.911Z'
            nok: '2020-03-19T09:32:58.419Z'
            nzd: '2020-03-13T02:35:16.858Z'
            php: '2018-10-15T13:29:31.772Z'
            pkr: '2023-09-06T17:10:41.513Z'
            pln: '2022-10-13T12:54:39.018Z'
            rub: '2022-03-07T17:44:50.584Z'
            sar: '2019-05-08T00:40:28.300Z'
            sek: '2022-10-13T12:54:39.018Z'
            sgd: '2022-05-12T07:24:27.813Z'
            sol: '2023-10-19T07:35:20.838Z'
            thb: '2022-09-30T02:11:16.560Z'
            try: '2024-03-13T05:46:55.999Z'
            twd: '2019-05-08T00:40:28.300Z'
            uah: '2024-03-25T14:01:08.978Z'
            usd: '2019-05-08T00:40:28.300Z'
            vef: '2019-05-08T00:40:28.300Z'
            vnd: '2019-05-08T00:40:28.300Z'
            xag: '2020-03-16T12:07:54.295Z'
            xau: '2018-10-15T13:29:31.772Z'
            xdr: '2019-05-08T00:40:28.300Z'
            xlm: '2020-03-13T02:27:51.989Z'
            xrp: '2020-03-13T02:27:51.989Z'
            yfi: '2020-07-18T00:00:00.000Z'
            zar: '2023-06-01T07:50:09.345Z'
            bits: '2018-12-16T00:00:00.000Z'
            link: '2018-12-16T00:00:00.000Z'
            sats: '2018-12-16T00:00:00.000Z'
          atl:
            aed: 3.22
            ars: 35.1
            aud: 1.15
            bch: 0.00061874
            bdt: 75.64
            bhd: 0.330818
            bmd: 0.877647
            bnb: 0.00145528
            brl: 3.66
            btc: 0.00001358
            cad: 1.079
            chf: 0.803831
            clp: 641.06
            cny: 5.74
            czk: 18.6
            dkk: 5.43
            dot: 0.01824728
            eos: 0.06823362
            eth: 0.00020588
            eur: 0.730265
            gbp: 0.629869
            gel: 2.59
            hkd: 6.89
            huf: 255.57
            idr: 12829.05
            ils: 2.91
            inr: 65.31
            jpy: 97.05
            krw: 1008.25
            kwd: 0.268173
            lkr: 169.86
            ltc: 0.0024386
            mmk: 1262.08
            mxn: 16.23
            myr: 3.69
            ngn: 306.14
            nok: 7.39
            nzd: 1.24
            php: 42.68
            pkr: 122.98
            pln: 3.3
            rub: 50.72
            sar: 3.29
            sek: 7.43
            sgd: 1.18
            sol: 20.4
            thb: 28.03
            try: 5.12
            twd: 24.94
            uah: 23.13
            usd: 0.877647
            vef: 0.087879
            vnd: 20544
            xag: 0.03215085
            xau: 0.00042766
            xdr: 0.618198
            xlm: 1.266586
            xrp: 0.51131826
            yfi: 0.00001103
            zar: 12.52
            bits: 13.58
            link: 0.01893714
            sats: 1357.66
          atl_change_percentage:
            aed: 14.41627
            ars: 2361.81893
            aud: 32.49086
            bch: 135.6116
            bdt: 45.50042
            bhd: 14.29254
            bmd: 14.42094
            bnb: 17.52902
            brl: 39.00819
            btc: 5.53325
            cad: 26.5285
            chf: 12.67067
            clp: 47.21742
            cny: 26.53016
            czk: 26.123
            dkk: 27.27694
            dot: 531.35789
            eos: 1312.72686
            eth: 42.84868
            eur: 26.75308
            gbp: 26.15257
            gel: 4.02071
            hkd: 14.12942
            huf: 41.47699
            idr: 24.36351
            ils: 29.16397
            inr: 28.08243
            jpy: 56.86384
            krw: 34.58554
            kwd: 15.0708
            lkr: 76.54458
            ltc: 299.53881
            mmk: 66.85867
            mxn: 1.80183
            myr: 29.35598
            ngn: 324.6662
            nok: 45.70553
            nzd: 34.5126
            php: 33.16285
            pkr: 126.62161
            pln: 20.17185
            rub: 83.14122
            sar: 14.32941
            sek: 44.26778
            sgd: 14.47286
            sol: 16.19608
            thb: 31.21405
            try: 528.64115
            twd: 29.34909
            uah: 68.3386
            usd: 14.42094
            vef: 14.42094
            vnd: 22.0335
            xag: 13.63538
            xau: 0.78357
            xdr: 22.51815
            xlm: 508.11643
            xrp: 227.24828
            yfi: 976.86962
            zar: 49.91998
            bits: 5.53325
            link: 197.88895
            sats: 5.53325
          atl_date:
            aed: '2023-03-11T08:02:13.981Z'
            ars: '2018-11-05T00:00:00.000Z'
            aud: '2021-05-19T13:14:05.611Z'
            bch: '2021-05-12T00:48:59.373Z'
            bdt: '2021-05-19T13:14:05.611Z'
            bhd: '2023-03-11T08:02:13.981Z'
            bmd: '2023-03-11T08:02:13.981Z'
            bnb: '2021-05-10T06:49:47.379Z'
            brl: '2019-01-10T00:00:00.000Z'
            btc: '2024-03-14T07:11:23.026Z'
            cad: '2021-05-19T13:14:05.611Z'
            chf: '2021-05-19T13:14:05.611Z'
            clp: '2021-05-19T13:14:05.611Z'
            cny: '2021-05-19T13:14:05.611Z'
            czk: '2021-05-19T13:14:05.611Z'
            dkk: '2021-05-19T13:14:05.611Z'
            dot: '2021-11-04T14:03:20.601Z'
            eos: '2021-05-12T00:19:38.267Z'
            eth: '2021-11-10T16:24:27.522Z'
            eur: '2021-05-19T13:14:05.611Z'
            gbp: '2021-05-19T13:14:05.611Z'
            gel: '2024-02-28T17:35:55.970Z'
            hkd: '2023-03-11T08:02:13.981Z'
            huf: '2021-05-19T13:14:05.611Z'
            idr: '2021-05-19T13:14:05.611Z'
            ils: '2021-05-19T13:14:05.611Z'
            inr: '2021-05-19T13:14:05.611Z'
            jpy: '2021-05-19T13:14:05.611Z'
            krw: '2021-05-19T13:14:05.611Z'
            kwd: '2021-05-19T13:14:05.611Z'
            lkr: '2018-10-07T00:00:00.000Z'
            ltc: '2021-05-10T02:59:49.794Z'
            mmk: '2020-08-02T04:44:57.506Z'
            mxn: '2023-03-11T08:02:13.981Z'
            myr: '2021-05-19T13:14:05.611Z'
            ngn: '2019-08-27T00:00:00.000Z'
            nok: '2021-05-19T13:14:05.611Z'
            nzd: '2021-05-19T13:14:05.611Z'
            php: '2021-05-19T13:14:05.611Z'
            pkr: '2018-10-07T00:00:00.000Z'
            pln: '2021-05-19T13:14:05.611Z'
            rub: '2022-06-29T08:44:56.399Z'
            sar: '2023-03-11T08:02:13.981Z'
            sek: '2021-05-19T13:14:05.611Z'
            sgd: '2023-03-11T08:02:13.981Z'
            sol: '2021-05-12T00:19:38.267Z'
            thb: '2021-05-19T13:14:05.611Z'
            try: '2018-12-30T00:00:00.000Z'
            twd: '2021-05-19T13:14:05.611Z'
            uah: '2019-12-26T19:59:45.264Z'
            usd: '2023-03-11T08:02:13.981Z'
            vef: '2023-03-11T08:02:13.981Z'
            vnd: '2021-05-19T13:14:05.611Z'
            xag: '2021-05-19T13:14:05.611Z'
            xau: '2024-04-07T15:40:38.864Z'
            xdr: '2021-05-19T13:14:05.611Z'
            xlm: '2021-05-16T09:54:34.066Z'
            xrp: '2021-04-14T05:34:20.469Z'
            yfi: '2021-05-12T00:31:55.487Z'
            zar: '2021-05-19T13:14:05.611Z'
            bits: '2024-03-14T07:11:23.026Z'
            link: '2021-05-10T00:18:26.781Z'
            sats: '2024-03-14T07:11:23.026Z'
          market_cap:
            aed: 120999090107
            ars: 28353111377396
            aud: 50065123859
            bch: 47850776
            bdt: 3611011939859
            bhd: 12405166075
            bmd: 32947335631
            bnb: 56263487
            brl: 166914167569
            btc: 470808
            cad: 44777076490
            chf: 29714641901
            clp: 30963723498232
            cny: 238288310221
            czk: 769659644552
            dkk: 226756742750
            dot: 3789619642
            eos: 31696182321
            eth: 9672781
            eur: 30369239566
            gbp: 26070040581
            gel: 88298859492
            hkd: 257975990628
            huf: 11863102506863
            idr: 523459031679163
            ils: 123517189074
            inr: 2744416324725
            jpy: 4994980818412
            krw: 44520744769077
            kwd: 10124551503
            lkr: 9838495420617
            ltc: 320634614
            mmk: 69092295816136
            mxn: 542102281546
            myr: 156417475910
            ngn: 42654804703977
            nok: 353505142924
            nzd: 54784401373
            php: 1864489756333
            pkr: 9144229230085
            pln: 130121779028
            rub: 3047857134527
            sar: 123586345532
            sek: 351778208327
            sgd: 44459530069
            sol: 778870
            thb: 1206505040009
            try: 1056670507653
            twd: 1058472693964
            uah: 1277756585625
            usd: 32947335631
            vef: 3299016717
            vnd: 822552701684877
            xag: 1198674150
            xau: 14140996
            xdr: 24849803059
            xlm: 253446689394
            xrp: 55015857817
            yfi: 3906707
            zar: 616016334302
            bits: 470807890093
            link: 1854262325
            sats: 47080789009277
          market_cap_rank: 7
          outstanding_token_value_usd: null
          market_cap_rank_with_rehypothecated: 7
          fully_diluted_valuation:
            aed: 121002864723
            ars: 28353995864398
            aud: 50066685661
            bch: 47852269
            bdt: 3611124586865
            bhd: 12405553060
            bmd: 32948363437
            bnb: 56265242
            brl: 166919374526
            btc: 470823
            cad: 44778473329
            chf: 29715568862
            clp: 30964689424356
            cny: 238295743723
            czk: 769683654402
            dkk: 226763816520
            dot: 3789737860
            eos: 31697171097
            eth: 9673083
            eur: 30370186947
            gbp: 26070853847
            gel: 88301614012
            hkd: 257984038295
            huf: 11863472581237
            idr: 523475361199517
            ils: 123521042244
            inr: 2744501937924
            jpy: 4995136638898
            krw: 44522133612069
            kwd: 10124867342
            lkr: 9838802336539
            ltc: 320644616
            mmk: 69094451178796
            mxn: 542119192650
            myr: 156422355418
            ngn: 42656135338199
            nok: 353516170663
            nzd: 54786110395
            php: 1864547919860
            pkr: 9144514488086
            pln: 130125838230
            rub: 3047952213687
            sar: 123590200859
            sek: 351789182194
            sgd: 44460917003
            sol: 778970
            thb: 1206542677431
            try: 1056703470925
            twd: 1058505713456
            uah: 1277796445769
            usd: 32948363437
            vef: 3299119631
            vnd: 822578361555605
            xag: 1198711543
            xau: 14141438
            xdr: 24850578259
            xlm: 253454595768
            xrp: 55017574059
            yfi: 3906829
            zar: 616035551185
            bits: 470822577139
            link: 1854320170
            sats: 47082257713905
          market_cap_fdv_ratio: 1
          total_volume:
            aed: 15244665166
            ars: 3572206113148
            aud: 6307700736
            bch: 6011151
            bdt: 454951090006
            bhd: 1562925828
            bmd: 4151032040
            bnb: 7076305
            brl: 21029501906
            btc: 59136
            cad: 5641460094
            chf: 3743745229
            clp: 3901116914259
            cny: 30021924124
            czk: 96969353759
            dkk: 28569062911
            dot: 475669038
            eos: 3983228751
            eth: 1215906
            eur: 3826217934
            gbp: 3284562216
            gel: 11124765867
            hkd: 32502373320
            huf: 1494631285147
            idr: 65950559289861
            ils: 15561920243
            inr: 345768781483
            jpy: 629317212389
            krw: 5609164881735
            kwd: 1275591391
            lkr: 1239551208963
            ltc: 40291669
            mmk: 8704932527533
            mxn: 68299420770
            myr: 19707024609
            ngn: 5374075250174
            nok: 44538083168
            nzd: 6902282112
            php: 234906907282
            pkr: 1152080670123
            pln: 16394031974
            rub: 383999263539
            sar: 15570633259
            sek: 44320506823
            sgd: 5601452447
            sol: 12086
            thb: 152021478053
            try: 133129828215
            twd: 133356885516
            uah: 160984444548
            usd: 4151032040
            vef: 415642838
            vnd: 103633345569541
            xag: 151020855
            xau: 1781623
            xdr: 3130824593
            xlm: 31875392898
            xrp: 6909411431
            yfi: 491696
            zar: 77611846048
            bits: 59136167290
            link: 233033060
            sats: 5913616728998
          high_24h:
            aed: 3.69
            ars: 864.18
            aud: 1.53
            bch: 0.00147921
            bdt: 110.06
            bhd: 0.378563
            bmd: 1.004
            bnb: 0.00171422
            brl: 5.09
            btc: 0.00001471
            cad: 1.36
            chf: 0.905681
            clp: 953.43
            cny: 7.26
            czk: 23.46
            dkk: 6.91
            dot: 0.118923
            eos: 0.99413647
            eth: 0.00029983
            eur: 0.926064
            gbp: 0.794596
            gel: 2.69
            hkd: 7.86
            huf: 361.59
            idr: 15954.66
            ils: 3.78
            inr: 83.65
            jpy: 152.24
            krw: 1356.96
            kwd: 0.308809
            lkr: 299.87
            ltc: 0.01001188
            mmk: 2105.88
            mxn: 16.52
            myr: 4.77
            ngn: 1300.09
            nok: 10.77
            nzd: 1.67
            php: 56.83
            pkr: 278.71
            pln: 3.97
            rub: 92.9
            sar: 3.77
            sek: 10.72
            sgd: 1.36
            sol: 0.000012
            thb: 36.78
            try: 32.21
            twd: 32.26
            uah: 39
            usd: 1.004
            vef: 0.100552
            vnd: 25071
            xag: 0.03653859
            xau: 0.00043101
            xdr: 0.757404
            xlm: 7.799251
            xrp: 1.696805
            yfi: 0.00012029
            zar: 18.78
            bits: 14.71
            link: 0.05738543
            sats: 1470.94
          low_24h:
            aed: 3.66
            ars: 857.46
            aud: 1.51
            bch: 0.00141766
            bdt: 109.21
            bhd: 0.375161
            bmd: 0.996404
            bnb: 0.00169154
            brl: 5.05
            btc: 0.00001429
            cad: 1.35
            chf: 0.89864
            clp: 936.41
            cny: 7.21
            czk: 23.28
            dkk: 6.86
            dot: 0.11453837
            eos: 0.9619467
            eth: 0.00029301
            eur: 0.918436
            gbp: 0.788419
            gel: 2.67
            hkd: 7.8
            huf: 358.77
            idr: 15830.62
            ils: 3.74
            inr: 83
            jpy: 151.06
            krw: 1346.41
            kwd: 0.30619
            lkr: 297.54
            ltc: 0.0094962
            mmk: 2089.51
            mxn: 16.39
            myr: 4.73
            ngn: 1289.98
            nok: 10.69
            nzd: 1.66
            php: 56.39
            pkr: 276.54
            pln: 3.94
            rub: 92.17
            sar: 3.74
            sek: 10.64
            sgd: 1.34
            sol: 0.000012
            thb: 36.49
            try: 31.96
            twd: 32.01
            uah: 38.64
            usd: 0.996404
            vef: 0.09977
            vnd: 24876
            xag: 0.03625069
            xau: 0.00042766
            xdr: 0.751516
            xlm: 7.67306
            xrp: 1.663026
            yfi: 0.00011822
            zar: 18.63
            bits: 14.29
            link: 0.05612925
            sats: 1429.46
          price_change_24h: 0.00398183
          price_change_percentage_24h: 0.39861
          price_change_percentage_7d: 0.29305
          price_change_percentage_14d: 0.27486
          price_change_percentage_30d: 0.23778
          price_change_percentage_60d: 0.34535
          price_change_percentage_200d: 0.28542
          price_change_percentage_1y: 0.26784
          market_cap_change_24h: 10444980
          market_cap_change_percentage_24h: 0.03171
          price_change_24h_in_currency:
            aed: 0.01482307
            ars: 3.43
            aud: 0.00605059
            bch: 0.00002114
            bdt: 0.436407
            bhd: 0.00103072
            bmd: 0.00398183
            bnb: -8.98695386508e-7
            brl: 0.02006244
            btc: -4.08289757483e-7
            cad: 0.00541151
            chf: 0.00359115
            clp: -5.90309015913681
            cny: 0.0287982
            czk: 0.093017
            dkk: 0.02740456
            dot: -0.00327886017878197
            eos: -0.030520948421398
            eth: -0.000005818976995429
            eur: 0.00322174
            gbp: 0.00315068
            gel: 0.01067131
            hkd: 0.03117755
            huf: 1.42
            idr: 63.26
            ils: 0.0008507
            inr: 0.331675
            jpy: 0.603666
            krw: 5.38
            kwd: 0.00099784
            lkr: 1.19
            ltc: -0.000234127203521317
            mmk: 8.35
            mxn: 0.065515
            myr: 0.01890375
            ngn: 5.16
            nok: 0.04272267
            nzd: 0.00662094
            php: 0.225332
            pkr: 1.11
            pln: 0.0157258
            rub: 0.368347
            sar: 0.01493596
            sek: 0.04251396
            sgd: 0.00537313
            sol: 0.0023
            thb: 0.149196
            try: 0.127703
            twd: 0.127921
            uah: 0.102042
            usd: 0.00398183
            vef: 0.0003987
            vnd: 99.41
            xag: 0.00014025
            xau: 0.00000171
            xdr: 0.00300321
            xlm: -0.0547530053062548
            xrp: -0.0181523667358481
            yfi: -0.000001157937833455
            zar: 0.074448
            bits: -0.408289757483253
            link: -0.000669120508494617
            sats: -40.8289757483253
          price_change_percentage_1h_in_currency:
            aed: 0.65299
            ars: 0.65299
            aud: 0.65299
            bch: -0.46748
            bdt: 0.65299
            bhd: 0.65299
            bmd: 0.65299
            bnb: 0.2798
            brl: 0.65299
            btc: -0.40006
            cad: 0.65299
            chf: 0.65299
            clp: 0.65299
            cny: 0.65299
            czk: 0.65299
            dkk: 0.65299
            dot: -0.19074
            eos: -0.14782
            eth: -0.01885
            eur: 0.65299
            gbp: 0.65299
            gel: 0.65299
            hkd: 0.65299
            huf: 0.65299
            idr: 0.65299
            ils: 0.65299
            inr: 0.65299
            jpy: 0.65299
            krw: 0.65299
            kwd: 0.65299
            lkr: 0.65299
            ltc: 0.19916
            mmk: 0.65299
            mxn: 0.65299
            myr: 0.65299
            ngn: 0.65299
            nok: 0.65299
            nzd: 0.65299
            php: 0.65299
            pkr: 0.65299
            pln: 0.65299
            rub: 0.65299
            sar: 0.65299
            sek: 0.65299
            sgd: 0.65299
            sol: 0.65299
            thb: 0.65299
            try: 0.65299
            twd: 0.65299
            uah: 0.65299
            usd: 0.65299
            vef: 0.65299
            vnd: 0.65299
            xag: 0.65299
            xau: 0.65299
            xdr: 0.65299
            xlm: 0.0107
            xrp: -0.05561
            yfi: 0.00533
            zar: 0.65299
            bits: -0.40006
            link: 0.08404
            sats: -0.40006
          price_change_percentage_24h_in_currency:
            aed: 0.40408
            ars: 0.39861
            aud: 0.39861
            bch: 1.47718
            bdt: 0.39861
            bhd: 0.27371
            bmd: 0.39861
            bnb: -0.05254
            brl: 0.39643
            btc: -2.77826
            cad: 0.39861
            chf: 0.39861
            clp: -0.6224
            cny: 0.39861
            czk: 0.39861
            dkk: 0.39861
            dot: -2.77393
            eos: -3.07395
            eth: -1.94233
            eur: 0.34973
            gbp: 0.39861
            gel: 0.39861
            hkd: 0.39861
            huf: 0.39445
            idr: 0.39861
            ils: 0.02263
            inr: 0.39861
            jpy: 0.39861
            krw: 0.39861
            kwd: 0.32483
            lkr: 0.39861
            ltc: -2.3486
            mmk: 0.39861
            mxn: 0.39861
            myr: 0.39861
            ngn: 0.39861
            nok: 0.39861
            nzd: 0.39861
            php: 0.39861
            pkr: 0.39861
            pln: 0.39861
            rub: 0.39861
            sar: 0.39861
            sek: 0.39861
            sgd: 0.39861
            sol: 0.39861
            thb: 0.40786
            try: 0.39861
            twd: 0.39861
            uah: 0.26304
            usd: 0.39861
            vef: 0.39861
            vnd: 0.39861
            xag: 0.38586
            xau: 0.39861
            xdr: 0.39861
            xlm: -0.70594
            xrp: -1.0757
            yfi: -0.96532
            zar: 0.39861
            bits: -2.77826
            link: -1.17449
            sats: -2.77826
          price_change_percentage_7d_in_currency:
            aed: 0.29851
            ars: 0.77925
            aud: -0.65027
            bch: -13.2081
            bdt: 0.2879
            bhd: 0.29118
            bmd: 0.29305
            bnb: 3.03355
            brl: 1.31074
            btc: 0.58561
            cad: 0.89438
            chf: 0.26815
            clp: -3.74092
            cny: 0.45556
            czk: 0.17726
            dkk: -0.12633
            dot: 9.9608
            eos: 4.95285
            eth: 6.35016
            eur: -0.1582
            gbp: 0.19782
            gel: -0.26517
            hkd: 0.33277
            huf: -1.03923
            idr: 0.34136
            ils: 2.17036
            inr: 0.18928
            jpy: 0.46534
            krw: 0.66329
            kwd: 0.16104
            lkr: -0.18828
            ltc: 0.27534
            mmk: 0.28566
            mxn: -0.35796
            myr: 0.78132
            ngn: -8.62563
            nok: -0.521
            nzd: -0.49074
            php: 1.05286
            pkr: 0.27769
            pln: -0.42519
            rub: 0.20027
            sar: 0.19475
            sek: 0.47641
            sgd: 0.28651
            sol: 0.29305
            thb: 1.16221
            try: -0.66189
            twd: 0.87488
            uah: -0.71017
            usd: 0.29305
            vef: 0.29305
            vnd: 0.91906
            xag: -8.90649
            xau: -3.88135
            xdr: 0.27816
            xlm: 7.78452
            xrp: 4.65475
            yfi: 7.33596
            zar: -0.88066
            bits: 0.58561
            link: 7.43694
            sats: 0.58561
          price_change_percentage_14d_in_currency:
            aed: 0.27759
            ars: 1.46827
            aud: -0.71502
            bch: -30.38764
            bdt: 0.58266
            bhd: 0.58582
            bmd: 0.27486
            bnb: -4.20719
            brl: 1.55155
            btc: -6.21481
            cad: 0.01728
            chf: 0.71462
            clp: -3.53906
            cny: 0.32757
            czk: -0.12532
            dkk: 0.00604
            dot: 5.88408
            eos: -0.52882
            eth: -0.20417
            eur: 0.40885
            gbp: -0.01879
            gel: -0.46792
            hkd: 0.34406
            huf: -1.27976
            idr: 0.74154
            ils: 3.96645
            inr: -0.08114
            jpy: 0.4
            krw: 0.77228
            kwd: 0.59436
            lkr: -0.86856
            ltc: -12.90008
            mmk: 0.58165
            mxn: -1.59414
            myr: 0.48652
            ngn: -11.38303
            nok: 0.02502
            nzd: -0.02528
            php: 0.63319
            pkr: 0.16182
            pln: -0.94152
            rub: 0.67966
            sar: 0.29007
            sek: 1.30993
            sgd: 0.31292
            sol: 0.27486
            thb: 1.34874
            try: 0.47599
            twd: 0.81145
            uah: 0.11703
            usd: 0.27486
            vef: 0.27486
            vnd: 1.06348
            xag: -9.95455
            xau: -6.7958
            xdr: 1.06802
            xlm: 3.53045
            xrp: 5.5305
            yfi: 4.19967
            zar: -1.6257
            bits: -6.21481
            link: 2.91916
            sats: -6.21481
          price_change_percentage_30d_in_currency:
            aed: 0.22686
            ars: 1.87242
            aud: 1.12588
            bch: -36.38999
            bdt: 0.06598
            bhd: 0.14521
            bmd: 0.23778
            bnb: -18.35901
            brl: 2.07514
            btc: -2.5256
            cad: 1.22263
            chf: 3.22081
            clp: -2.11973
            cny: 0.88922
            czk: 1.25296
            dkk: 1.41007
            dot: 18.78155
            eos: 14.18494
            eth: 15.69643
            eur: 1.22693
            gbp: 2.17246
            gel: 1.18163
            hkd: 0.36294
            huf: 0.42147
            idr: 2.64632
            ils: 5.1174
            inr: 0.91625
            jpy: 3.32703
            krw: 2.9829
            kwd: 0.30371
            lkr: -2.67914
            ltc: -14.7498
            mmk: 0.06787
            mxn: -1.80715
            myr: 1.48834
            ngn: -18.53236
            nok: 3.68985
            nzd: 3.16952
            php: 2.1567
            pkr: -0.46486
            pln: 0.89425
            rub: 1.81413
            sar: 0.25218
            sek: 4.97564
            sgd: 1.70026
            sol: 0.23778
            thb: 3.66298
            try: 0.55288
            twd: 2.6662
            uah: 1.68112
            usd: 0.23778
            vef: 0.23778
            vnd: 1.35127
            xag: -11.41734
            xau: -6.42701
            xdr: 0.26875
            xlm: 8.72863
            xrp: 3.49755
            yfi: 18.72705
            zar: 0.17562
            bits: -2.5256
            link: 11.99104
            sats: -2.5256
          price_change_percentage_60d_in_currency:
            aed: 0.33306
            ars: 4.02102
            aud: -0.44126
            bch: -65.76904
            bdt: 0.19479
            bhd: 0.25988
            bmd: 0.34535
            bnb: -48.13844
            brl: 2.43383
            btc: -38.48505
            cad: 1.28551
            chf: 3.84523
            clp: -0.7159
            cny: 2.01542
            czk: 1.07049
            dkk: -0.31682
            dot: -21.80148
            eos: -31.75086
            eth: -30.42882
            eur: -0.44975
            gbp: 0.30124
            gel: 1.09983
            hkd: 0.48096
            huf: 0.10941
            idr: 1.84307
            ils: 2.98528
            inr: 0.72708
            jpy: 2.84244
            krw: 2.18746
            kwd: 0.16315
            lkr: -4.36244
            ltc: -33.74326
            mmk: 0.18964
            mxn: -3.07488
            myr: 0.06082
            ngn: 43.54773
            nok: 1.80879
            nzd: 2.04992
            php: 1.34014
            pkr: -0.25215
            pln: -1.76406
            rub: 1.73775
            sar: 0.36291
            sek: 2.3238
            sgd: 0.83195
            sol: 0.34535
            thb: 3.33071
            try: 5.19379
            twd: 2.85279
            uah: 3.49377
            usd: 0.34535
            vef: 0.34535
            vnd: 2.56239
            xag: -18.26411
            xau: -12.15048
            xdr: 0.86128
            xlm: -17.32386
            xrp: -15.95294
            yfi: -15.12336
            zar: -0.79
            bits: -38.48505
            link: 3.48984
            sats: -38.48505
          price_change_percentage_200d_in_currency:
            aed: 0.27409
            ars: 146.59495
            aud: -0.94099
            bch: -68.69683
            bdt: 0.09955
            bhd: 0.15109
            bmd: 0.28542
            bnb: -63.08846
            brl: 4.81005
            btc: -61.15308
            cad: 1.61784
            chf: 1.04086
            clp: 6.79019
            cny: -0.47829
            czk: 2.94359
            dkk: -0.75097
            dot: -52.7331
            eos: -44.54766
            eth: -52.12473
            eur: -0.93634
            gbp: -1.69274
            gel: 1.22973
            hkd: 0.3808
            huf: 0.88833
            idr: 3.96384
            ils: -1.24135
            inr: 0.71132
            jpy: 2.92848
            krw: 2.19275
            kwd: -0.16131
            lkr: -7.6736
            ltc: -36.99859
            mmk: 0.09711
            mxn: -3.12141
            myr: 1.37443
            ngn: 67.82109
            nok: 0.50372
            nzd: -0.34572
            php: 0.11647
            pkr: -5.57784
            pln: -8.1674
            rub: -3.83937
            sar: 0.28237
            sek: -3.17098
            sgd: -0.57356
            sol: 0.28542
            thb: 2.17015
            try: 18.96991
            twd: 0.72026
            uah: 5.2582
            usd: 0.28542
            vef: 0.28542
            vnd: 3.07509
            xag: -14.25394
            xau: -16.35411
            xdr: -0.30858
            xlm: -9.47159
            xrp: -13.50921
            yfi: -36.14047
            zar: -0.0392
            bits: -61.15308
            link: -61.01735
            sats: -61.15308
          price_change_percentage_1y_in_currency:
            aed: 0.26525
            ars: 308.7285
            aud: 1.56451
            bch: -81.88425
            bdt: 3.7953
            bhd: 0.15187
            bmd: 0.26784
            bnb: -46.78318
            brl: 0.45006
            btc: -60.06751
            cad: 0.83133
            chf: -0.11602
            clp: 15.1576
            cny: 5.54632
            czk: 9.38824
            dkk: 1.0297
            dot: -28.69493
            eos: 16.06949
            eth: -45.34626
            eur: 0.82449
            gbp: -1.47721
            gel: 5.17331
            hkd: 0.01238
            huf: 5.1392
            idr: 6.6139
            ils: 4.38536
            inr: 2.07095
            jpy: 15.09363
            krw: 2.95664
            kwd: 0.36419
            lkr: -6.37707
            ltc: -11.73068
            mmk: 0.11137
            mxn: -9.08906
            myr: 8.11301
            ngn: 179.16204
            nok: 2.48686
            nzd: 4.08076
            php: 3.96895
            pkr: -2.01262
            pln: -7.63529
            rub: 13.73969
            sar: 0.23249
            sek: 2.28993
            sgd: 1.61669
            sol: 0.26784
            thb: 7.3578
            try: 66.98378
            twd: 5.92998
            uah: 5.75518
            usd: 0.26784
            vef: 0.26784
            vnd: 6.76382
            xag: -8.91935
            xau: -13.59483
            xdr: 1.81677
            xlm: -18.6887
            xrp: -15.15288
            yfi: 2.28685
            zar: 2.80774
            bits: -60.06751
            link: -59.29775
            sats: -60.06751
          market_cap_change_24h_in_currency:
            aed: 44946569
            ars: 8988517241
            aud: 15871670
            bch: 509943
            bdt: 1144764772
            bhd: -11514709.8968201
            bmd: 10444980
            bnb: -140471.262599774
            brl: 49292153
            btc: -13412.9923923103
            cad: 14195251
            chf: 9420150
            clp: -308207330384.047
            cny: 75542277
            czk: 243997877
            dkk: 71886534
            dot: -106704547.220642
            eos: -1004280018.51081
            eth: -200865.124155022
            eur: -5160992.71690369
            gbp: 8264737
            gel: 27992548
            hkd: 81783675
            huf: 3269263468
            idr: 165947238327
            ils: -424989183.342224
            inr: 870036206
            jpy: 1583511263
            krw: 14113988289
            kwd: -4234047.01619148
            lkr: 3119004632
            ltc: -7317729.50461823
            mmk: 21903673423
            mxn: 171857531
            myr: 49587545
            ngn: 13522447056
            nok: 112068373
            nzd: 17367778
            php: 591081455
            pkr: 2898908024
            pln: 41251270
            rub: 966233160
            sar: 39179404
            sek: 111520900
            sgd: 14094582
            sol: 10444980
            thb: 382486818
            try: 334986201
            twd: 335557531
            uah: -1322036717.14111
            usd: 10444980
            vef: 1045856
            vnd: 260766059925
            xag: 227836
            xau: 4482.99
            xdr: 7877897
            xlm: -1991231699.57169
            xrp: -570258604.427063
            yfi: -36804.9171342198
            zar: 195289800
            bits: -13412992392.3103
            link: -22696958.0787933
            sats: -1341299239231.03
          market_cap_change_percentage_24h_in_currency:
            aed: 0.03716
            ars: 0.03171
            aud: 0.03171
            bch: 1.07717
            bdt: 0.03171
            bhd: -0.09274
            bmd: 0.03171
            bnb: -0.24905
            brl: 0.02954
            btc: -2.77002
            cad: 0.03171
            chf: 0.03171
            clp: -0.98557
            cny: 0.03171
            czk: 0.03171
            dkk: 0.03171
            dot: -2.7386
            eos: -3.07115
            eth: -2.03436
            eur: -0.01699
            gbp: 0.03171
            gel: 0.03171
            hkd: 0.03171
            huf: 0.02757
            idr: 0.03171
            ils: -0.34289
            inr: 0.03171
            jpy: 0.03171
            krw: 0.03171
            kwd: -0.0418
            lkr: 0.03171
            ltc: -2.23134
            mmk: 0.03171
            mxn: 0.03171
            myr: 0.03171
            ngn: 0.03171
            nok: 0.03171
            nzd: 0.03171
            php: 0.03171
            pkr: 0.03171
            pln: 0.03171
            rub: 0.03171
            sar: 0.03171
            sek: 0.03171
            sgd: 0.03171
            sol: 0.03171
            thb: 0.03171
            try: 0.03171
            twd: 0.03171
            uah: -0.10336
            usd: 0.03171
            vef: 0.03171
            vnd: 0.03171
            xag: 0.01901
            xau: 0.03171
            xdr: 0.03171
            xlm: -0.77954
            xrp: -1.0259
            yfi: -0.9333
            zar: 0.03171
            bits: -2.77002
            link: -1.20924
            sats: -2.77002
          total_supply: 32937454819.1184
          max_supply: null
          circulating_supply: 32936427353.685
          outstanding_supply: null
          last_updated: '2024-04-07T16:35:22.339Z'
        community_data:
          facebook_likes: null
          reddit_average_posts_48h: 0
          reddit_average_comments_48h: 0
          reddit_subscribers: 0
          reddit_accounts_active_48h: 0
          telegram_channel_user_count: null
        developer_data:
          forks: 277
          stars: 491
          subscribers: 34
          total_issues: 47
          closed_issues: 36
          pull_requests_merged: 260
          pull_request_contributors: 21
          code_additions_deletions_4_weeks:
            additions: 68
            deletions: -15
          commit_count_4_weeks: 5
          last_4_weeks_commit_activity_series:
            - 0
            - 0
            - 0
            - 0
            - 1
            - 1
            - 0
            - 0
            - 0
            - 0
            - 0
            - 0
            - 0
            - 0
            - 0
            - 0
            - 0
            - 1
            - 0
            - 1
            - 0
            - 0
            - 0
            - 0
            - 0
            - 0
            - 0
            - 0
        status_updates: []
        last_updated: '2024-04-07T16:35:22.339Z'
        tickers:
          - base: USDC
            target: USDT
            market:
              name: Bitunix
              identifier: bitunix
              has_trading_incentive: false
            last: 0.9998
            volume: 12225554.4877
            converted_last:
              btc: 0.00001435
              eth: 0.00029359
              usd: 0.999143
            converted_volume:
              btc: 175.375
              eth: 3589
              usd: 12213859
            trust_score: null
            bid_ask_spread_percentage: 0.010001
            timestamp: '2024-04-07T15:34:49+00:00'
            last_traded_at: '2024-04-07T15:34:49+00:00'
            last_fetch_at: '2024-04-07T15:34:49+00:00'
            is_anomaly: false
            is_stale: false
            trade_url: https://www.bitunix.com/spot-trade?symbol=USDCUSDT
            token_info_url: null
            coin_id: usd-coin
            target_coin_id: tether
    CoinsContractAddressDataBase:
      type: object
      properties:
        id:
          type: string
          description: coin ID
        symbol:
          type: string
          description: coin symbol
        name:
          type: string
          description: coin name
        web_slug:
          type: string
          description: coin web slug
        asset_platform_id:
          type: string
          description: coin asset platform ID
        platforms:
          type: object
          description: coin asset platform and contract address
          additionalProperties:
            type: string
            nullable: true
        detail_platforms:
          type: object
          description: detailed coin asset platform and contract address
          additionalProperties:
            type: object
            properties:
              decimal_place:
                type: number
                nullable: true
              contract_address:
                type: string
        block_time_in_minutes:
          type: number
          description: blockchain block time in minutes
        hashing_algorithm:
          type: string
          nullable: true
          description: blockchain hashing algorithm
        categories:
          type: array
          description: coin categories
          items:
            type: string
        preview_listing:
          type: boolean
          description: preview listing coin
        public_notice:
          type: string
          nullable: true
          description: public notice
        additional_notices:
          type: array
          description: additional notices
          items:
            type: string
        localization:
          type: object
          description: coin name localization
          additionalProperties:
            type: string
        description:
          type: object
          description: coin description
          additionalProperties:
            type: string
        links:
          type: object
          description: links
          properties:
            homepage:
              type: array
              description: coin website url
              items:
                type: string
            whitepaper:
              type: array
              description: coin whitepaper url
              items:
                type: string
            blockchain_site:
              type: array
              description: coin block explorer url
              items:
                type: string
            official_forum_url:
              type: array
              description: coin official forum url
              items:
                type: string
            chat_url:
              type: array
              description: coin chat url
              items:
                type: string
            announcement_url:
              type: array
              description: coin announcement url
              items:
                type: string
            snapshot_url:
              type: string
              description: coin snapshot url
            twitter_screen_name:
              type: string
              description: coin twitter handle
            facebook_username:
              type: string
              description: coin facebook username
            bitcointalk_thread_identifier:
              type: string
              description: coin bitcointalk thread identifier
            telegram_channel_identifier:
              type: string
              description: coin telegram channel identifier
            subreddit_url:
              type: string
              description: coin subreddit url
            repos_url:
              type: object
              description: coin repository url
              properties:
                github:
                  type: array
                  description: coin github repository url
                  items:
                    type: string
                bitbucket:
                  type: array
                  description: coin bitbucket repository url
                  items:
                    type: string
        image:
          type: object
          description: coin image url
          properties:
            thumb:
              type: string
            small:
              type: string
            large:
              type: string
        country_origin:
          type: string
          description: coin country of origin
        genesis_date:
          type: string
          nullable: true
          description: coin genesis date
          format: date-time
        contract_address:
          type: string
          description: coin contract address
        sentiment_votes_up_percentage:
          type: number
          description: coin sentiment votes up percentage
        sentiment_votes_down_percentage:
          type: number
          description: coin sentiment votes down percentage
        watchlist_portfolio_users:
          type: number
          description: number of users watching this coin in portfolio
        market_cap_rank:
          type: number
          description: coin rank by market cap
        market_cap_rank_with_rehypothecated:
          type: number
          description: coin rank by market cap including rehypothecated tokens
        market_data:
          type: object
          description: coin market data
          properties:
            current_price:
              type: object
              description: coin current price in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            total_value_locked:
              type: number
              nullable: true
              description: total value locked
            mcap_to_tvl_ratio:
              type: number
              nullable: true
              description: market cap to total value locked ratio
            fdv_to_tvl_ratio:
              type: number
              nullable: true
              description: fully diluted valuation to total value locked ratio
            roi:
              type: number
              nullable: true
              description: coin return on investment
            ath:
              type: object
              description: coin all time high (ATH) in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            ath_change_percentage:
              type: object
              description: coin all time high (ATH) change in percentage
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            ath_date:
              type: object
              description: coin all time high (ATH) date
              properties:
                btc:
                  type: string
                eur:
                  type: string
                usd:
                  type: string
            atl:
              type: object
              description: coin all time low (atl) in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            atl_change_percentage:
              type: object
              description: coin all time low (atl) change in percentage
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            atl_date:
              type: object
              description: coin all time low (atl) date
              properties:
                btc:
                  type: string
                eur:
                  type: string
                usd:
                  type: string
            market_cap:
              type: object
              description: coin market cap in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            market_cap_rank:
              type: number
              description: coin rank by market cap
            outstanding_token_value_usd:
              type: number
              nullable: true
              description: outstanding token value in USD
            market_cap_rank_with_rehypothecated:
              type: number
              description: coin rank by market cap including rehypothecated tokens
            fully_diluted_valuation:
              type: object
              description: coin fully diluted valuation (fdv) in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            market_cap_fdv_ratio:
              type: number
              description: market cap to fully diluted valuation ratio
            total_volume:
              type: object
              description: coin total trading volume in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            high_24h:
              type: object
              description: coin 24hr price high in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            low_24h:
              type: object
              description: coin 24hr price low in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            price_change_24h:
              type: number
              description: coin 24hr price change in currency
            price_change_percentage_24h:
              type: number
              description: coin 24hr price change in percentage
            price_change_percentage_7d:
              type: number
              description: coin 7d price change in percentage
            price_change_percentage_14d:
              type: number
              description: coin 14d price change in percentage
            price_change_percentage_30d:
              type: number
              description: coin 30d price change in percentage
            price_change_percentage_60d:
              type: number
              description: coin 60d price change in percentage
            price_change_percentage_200d:
              type: number
              description: coin 200d price change in percentage
            price_change_percentage_1y:
              type: number
              description: coin 1y price change in percentage
            market_cap_change_24h:
              type: number
              description: coin 24hr market cap change in currency
            market_cap_change_percentage_24h:
              type: number
              description: coin 24hr market cap change in percentage
            price_change_24h_in_currency:
              type: object
              description: coin 24hr price change in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            price_change_percentage_1h_in_currency:
              type: object
              description: coin 1h price change in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            price_change_percentage_24h_in_currency:
              type: object
              description: coin 24hr price change in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            price_change_percentage_7d_in_currency:
              type: object
              description: coin 7d price change in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            price_change_percentage_14d_in_currency:
              type: object
              description: coin 14d price change in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            price_change_percentage_30d_in_currency:
              type: object
              description: coin 30d price change in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            price_change_percentage_60d_in_currency:
              type: object
              description: coin 60d price change in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            price_change_percentage_200d_in_currency:
              type: object
              description: coin 200d price change in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            price_change_percentage_1y_in_currency:
              type: object
              description: coin 1y price change in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            market_cap_change_24h_in_currency:
              type: object
              description: coin 24hr market cap change in currency
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            market_cap_change_percentage_24h_in_currency:
              type: object
              description: coin 24hr market cap change in percentage
              properties:
                btc:
                  type: number
                eur:
                  type: number
                usd:
                  type: number
            total_supply:
              type: number
              description: coin total supply
            max_supply:
              type: number
              nullable: true
              description: coin max supply
            max_supply_infinite:
              type: boolean
              description: whether max supply is infinite
            circulating_supply:
              type: number
              description: coin circulating supply
            outstanding_supply:
              type: number
              nullable: true
              description: >-
                tokens outstanding in the market, circulated/tradable or planned
                for circulation
            last_updated:
              type: string
              description: coin market data last updated timestamp
              format: date-time
        community_data:
          type: object
          description: coin community data
          properties:
            facebook_likes:
              type: number
              description: coin facebook likes
            reddit_average_posts_48h:
              type: number
              description: coin reddit average posts in 48 hours
            reddit_average_comments_48h:
              type: number
              description: coin reddit average comments in 48 hours
            reddit_subscribers:
              type: number
              description: coin reddit subscribers
            reddit_accounts_active_48h:
              type: number
              description: coin reddit active accounts in 48 hours
            telegram_channel_user_count:
              type: number
              description: coin telegram channel user count
        developer_data:
          type: object
          description: coin developer data
          properties:
            forks:
              type: number
              description: coin repository forks
            stars:
              type: number
              description: coin repository stars
            subscribers:
              type: number
              description: coin repository subscribers
            total_issues:
              type: number
              description: coin repository total issues
            closed_issues:
              type: number
              description: coin repository closed issues
            pull_requests_merged:
              type: number
              description: coin repository pull requests merged
            pull_request_contributors:
              type: number
              description: coin repository pull request contributors
            code_additions_deletions_4_weeks:
              type: object
              description: coin code additions and deletions in 4 weeks
              properties:
                additions:
                  type: number
                deletions:
                  type: number
            commit_count_4_weeks:
              type: number
              description: coin repository commit count in 4 weeks
            last_4_weeks_commit_activity_series:
              type: array
              description: coin repository last 4 weeks commit activity series
              items:
                type: number
        status_updates:
          type: array
          description: coin status updates
          items:
            type: string
        last_updated:
          type: string
          format: date-time
          description: coin last updated timestamp
        tickers:
          type: array
          description: coin tickers
          items:
            type: object
            properties:
              base:
                type: string
                description: coin ticker base currency
              target:
                type: string
                description: coin ticker target currency
              market:
                type: object
                description: coin ticker exchange
                properties:
                  name:
                    type: string
                    description: coin ticker exchange name
                  identifier:
                    type: string
                    description: coin ticker exchange identifier
                  has_trading_incentive:
                    type: boolean
                    description: coin ticker exchange trading incentive
              last:
                type: number
                description: coin ticker last price
              volume:
                type: number
                description: coin ticker volume
              converted_last:
                type: object
                description: coin ticker converted last price
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              converted_volume:
                type: object
                description: coin ticker converted volume
                properties:
                  btc:
                    type: number
                  eth:
                    type: number
                  usd:
                    type: number
              trust_score:
                type: string
                nullable: true
                description: coin ticker trust score
              bid_ask_spread_percentage:
                type: number
                description: coin ticker bid ask spread percentage
              timestamp:
                type: string
                description: coin ticker timestamp
                format: date-time
              last_traded_at:
                type: string
                description: coin ticker last traded timestamp
                format: date-time
              last_fetch_at:
                type: string
                description: coin ticker last fetch timestamp
                format: date-time
              is_anomaly:
                type: boolean
                description: coin ticker anomaly
              is_stale:
                type: boolean
                description: coin ticker stale
              trade_url:
                type: string
                description: coin ticker trade url
              token_info_url:
                type: string
                description: coin ticker token info url
              coin_id:
                type: string
                description: coin ticker base currency coin ID
              target_coin_id:
                type: string
                description: coin ticker target currency coin ID
              coin_mcap_usd:
                type: number
                description: coin market cap in USD
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_demo_api_key

````